package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF1F5 extends MwfRequest<MWF1F5, MWF1F5Response> {

    @Parameter(name = "CLIENT_ACTION")
    MWF1F5 clientAction(String clientAction);
    @Parameter(name = "DEFAULT_SET")
    MWF1F5 defaultSet(String defaultSet);
    @Parameter(name = "ID_OM")
    MWF1F5 idOm(String idOm);
    @Parameter(name = "PARAM_IN")
    MWF1F5 paramIn(java.util.List<MWF1F5ParamIn> paramIn);
    @Parameter(name = "SERVER_ACTION")
    MWF1F5 serverAction(String serverAction);
    @Parameter(name = "SESSION_NAME")
    MWF1F5 sessionName(String sessionName);
    @Parameter(name = "SESSION_RESULT_TEXT")
    MWF1F5 sessionResultText(String sessionResultText);
    @Parameter(name = "SESSION_TTL_IN_MINUTES")
    MWF1F5 sessionTtlInMinutes(Long sessionTtlInMinutes);
    @Parameter(name = "SSO_ID")
    MWF1F5 ssoId(String ssoId);
    @Parameter(name = "TASK_GROUP_IN")
    MWF1F5 taskGroupIn(java.util.List<MWF1F5TaskGroupIn> taskGroupIn);
    @Parameter(name = "TASK_IN")
    MWF1F5 taskIn(java.util.List<MWF1F5TaskIn> taskIn);
}
